/*
 * @Author: WuWei
 * @Date: 2020-05-27 10:41:22
 * @LastEditors: WuWei
 * @LastEditTime: 2020-05-29 16:37:42
 * @Description:
 */

class SearchHouseListModel {
  String? type;
  String? buildName;
  String? id;
  String? unitName;
  num? houseFloor;
  String? roomNo;

  SearchHouseListModel({
    this.type,
    this.buildName,
    this.id,
    this.unitName,
    this.houseFloor,
    this.roomNo,
  });

  SearchHouseListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    type = map['type'];
    buildName = map['buildName'];
    id = map['id'];
    unitName = map['unitName'];
    houseFloor = map['houseFloor'];
    roomNo = map['roomNo'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['type'] = this.type;
    json['buildName'] = this.buildName;
    json['id'] = this.id;
    json['unitName'] = this.unitName;
    json['houseFloor'] = this.houseFloor;
    json['roomNo'] = this.roomNo;

    return json;
  }
}
